> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.stringtrimming.md).

# StringTrimming

Namespace: **System.Drawing**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies how to trim characters from a string that does not completely fit into a layout shape.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum StringTrimming : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum StringTrimming As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                  | Description                                                                                                                                                          |
| --------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Character**         | Specifies that the string is broken at the boundary of the last character that is inside the layout rectangle. This is the default.                                  |
| **EllipsisCharacter** | Specifies that the string is broken at the boundary of the last character that is inside the layout rectangle and an ellipsis (...) is inserted after the character. |
| **EllipsisPath**      | Specifies that the center is removed from the string and replaced by an ellipsis. The algorithm keeps as much of the last portion of the string as possible.         |
| **EllipsisWord**      | Specifies that the string is broken at the boundary of the last word that is inside the layout rectangle and an ellipsis (...) is inserted after the word.           |
| **None**              | Specifies no trimming.                                                                                                                                               |
| **Word**              | Specifies that the string is broken at the boundary of the last word that is inside the layout rectangle.                                                            |

## Used By

| Name                                                                                                 | Description                                                                                                                                            |
| ---------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [StringFormat.Trimming](/system.drawing.managed/api/system.drawing/system.drawing.stringtrimming.md) | Gets or sets the StringTrimming enumeration for this [StringFormat](/system.drawing.managed/api/system.drawing/system.drawing.stringformat.md) object. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.stringtrimming.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
